services:
  mifi-holdings-armandine-gallery:
    image: git.mifi.dev/mifi-holdings/armandine:latest
    container_name: mifi-holdings-armandine
    restart: unless-stopped
    networks:
      - marina-net
    labels:
      - "traefik.enable=true"
      - "traefik.docker.network=marina-net"
      - "traefik.http.routers.armandine-gallery.rule=Host(`armandine.mifi.holdings`)"
      - "traefik.http.routers.armandine-gallery.entrypoints=websecure"
      - "traefik.http.routers.armandine-gallery.middlewares=security-supermax-with-analytics@file"
      - "traefik.http.routers.armandine-gallery.tls=true"
      - "traefik.http.routers.armandine-gallery.tls.certresolver=letsencrypt"
      - "traefik.http.services.armandine-gallery.loadbalancer.server.port=80"
    healthcheck:
      test: ["CMD-SHELL", "wget --spider -q http://localhost/ || exit 1"]
      interval: 20s
      timeout: 3s
      retries: 3

networks:
  marina-net:
    external: true
